Subject: bug#52909: closed (Re: bug#52909: Some man pages are not built correctly)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Sep 2022 20:26:02 +0000

Your bug report

#52909: Some man pages are not built correctly

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52909: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=52909
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52909: Some man pages are not built correctly
From: Maxim Cournoyer <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Sep 2022 16:25:16 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi Leo,
>
> Leo Famulari <[email-masked]> writes:
>
>> On Guix Git commit c7d74a9bccfc1b1274fc8754a6e78bb6887c7fea, at least
>> some manpages are not being built correctly for packages such as elogind
>> and gnome-keyring-daemon. Are we seeing raw groff input? I'm not sure of
>> the technology used here.

[...]

> I've read the same kind of issue reported to the bind9
> project and its resolution, which was very helpful:
> https://gitlab.isc.org/isc-projects/bind9/-/issues/2310.  It seems it's
> a DocBook XSL stylesheet problem resolved in
> https://github.com/docbook/xslt10-stylesheets/pull/111 but not yet
> released...

This is now fixable in an ad-hoc fashion on master by replacing the
problematic docbook-xsl with docbook-xsl-next, and fixed for good on
core-updates.

Closing.

Thanks,

Maxim

Subject: Some man pages are not built correctly
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Thu, 30 Dec 2021 19:00:45 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Guix Git commit c7d74a9bccfc1b1274fc8754a6e78bb6887c7fea, at least
some manpages are not being built correctly for packages such as elogind
and gnome-keyring-daemon. Are we seeing raw groff input? I'm not sure of
the technology used here.